Subject: bug#11067: 24.0.94.1; diff-buffer-with-file

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Mar 2012 17:34:04 -0400

Arni Magnusson wrote:

> in Emacs 24.0.94.1 alpha it the *Diff* buffer contains
>
>   winmerge "-L" "c:/gnu/emacs/BUGS" "-L" "#<buffer BUGS>"
> "c:/gnu/emacs/BUGS" "c:/Temp/buffer-content-2640boz"

Semi-related:

I was wondering why I could not find "-L" in diff's help output or
man-page, then I found:

http://savannah.nongnu.org/bugs/?35267

    Currently CVS uses GNU diff's -L option. That option has been
    undocumented since diffutils 2.8 (released in March 2002) and the
    option is intended to be replaced sometime soon with a different
    meaning.

    Can you please fix CVS so that it uses "diff --label" instead of
    "diff -L"? That will make CVS immune to this planned change.